from base import loginfo
from base.setting import setting
from base.base_request import ApiRequests
import json


# 获取登录后的cookie
def get_token():
    loginfo.debug('token获取中……')
    parameter = {"username": setting.login['username'],
                 "password": setting.login['password'],
                 "captcha": {"captcha": "", "timestamp": "", "sign": ""}}
    res = ApiRequests().run_main('api/auth/login', data=parameter)
    if 'success' in res:
        loginfo.debug('token 获取成功')
        return {'Cookie': '_t_logwire=' + json.loads(res)['data']['token']}
    else:
        loginfo.debug('获取失败')
